from fastapi import FastAPI, Request
from fastapi.responses import HTMLResponse
from fastapi.staticfiles import StaticFiles
from fastapi.templating import Jinja2Templates

app = FastAPI()

app.mount("/static", StaticFiles(directory="static"), name="static")


templates = Jinja2Templates(directory="templates")

@app.get("/items/{id}", response_class=HTMLResponse)
async def read_item(request: Request, id: int):
    x = 0
    nums = x + 11
    title = "報表"
    keyword = "關鍵字1"
    return templates.TemplateResponse("item.html", {"request": request, "id": id, "num": nums, "titles": title, "keyword":keyword})


